SDL_ispunct(3)

NAME
SDL_ispunct - Report if a character is a punctuation mark.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_ispunct(int x);

DESCRIPTION

WARNING : Regardless of system locale, this is equivalent to ((SDL_isgraph(x))&&(!SDL_isalnum(x))) .

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns non-zero if x falls within the character class, zero otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_isgraph(3), •(3), SDL_isalnum(3)